Subject: [manet] OLSR_Glomosim_Implementation

From: "chauhansweety" <[email-masked]>
Date: Thu, 20 Jul 2006 15:12:12 -0400 (EDT)

Hi,

I was looking for Glomosim OLSR implementation and found one as mentioned in one of the mailing list post.

http://www1.ietf.org/mail-archive/web/manet/current/msg04637.html

I downloaded OLSR-Niigata Glomosim code but it doesn't seem to be working if I change config file.

I changed the number of nodes from 5 (default config file) to 10 and Node placement from FILE(nodes.input) to RANDOM and I am getting strange results.

Simulation runs until 52% then it generates huge numbers before generating route table as shown below.

Does anyone also faced this problem?

I would highly appreciate any help.

---------------------------------------------------------------------------

Current Sim Time[s] = 987.033320125 Real Time[s] = 0 Completed 47%

Current Sim Time[s] = 1008.000000000 Real Time[s] = 0 Completed 48%

Current Sim Time[s] = 1029.079560157 Real Time[s] = 0 Completed 49%

Current Sim Time[s] = 1050.000000000 Real Time[s] = 0 Completed 50%

Current Sim Time[s] = 1071.051032847 Real Time[s] = 0 Completed 51%

Current Sim Time[s] = 1092.000000000 Real Time[s] = 0 Completed 52%

5 1100386890752 3 2 12

5 1100386890752 3 4 12

5 1100386891052 3 1 12

5 1100386891352 3 0 12

6 1100387138024 3 2

3 1100387138024 3 2 5

6 1100387138024 3 4

3 1100387138024 3 4 5

6 1100387138324 3 1

3 1100387138324 3 1 10

.

.

....(53781 entries like above)

6 2099982737564 1 4

3 2099982737564 1 4 10

At time:2100.000000000

NODE:0 has LinkSet

L_neighbor_iface_addr:1 L_SYM_time:2104.475043860 L_ASYM_time:2104.475043860 L_time:2110.475043860

======================================

Node:0 has neighborNode

Node:1 Status: SYM Willingness:3

======================================

======================================

NODE:0 has two hop neighbor

Node:2 is Node:1's neighbor node N_time:2104.475043860

======================================

======================================

Node:0 has MPR

Node:1

======================================

===================================

Node:0 has no MPR-Selectors

===================================

At time 2100.000000000, the topology set of node 0:

-------------------------------------------------

Last node:1

numNeighbor:2 T_seq:2 T_time:2114.982736964

Dest node:0

Dest node:2

Last node:2

numNeighbor:2 T_seq:2 T_time:2114.982736964

Dest node:3

Dest node:1

Last node:3

numNeighbor:2 T_seq:2 T_time:2113.004114945

Dest node:2

Dest node:4

-------------------------------------------------

the routing table of node 0 time2100.000000000[s]

------------------------------------------------

destNode:[ 1][0] nextNode:1 1hop iface:0

destNode:[ 2][0] nextNode:1 2hop iface:0

destNode:[ 3][0] nextNode:1 3hop iface:0

destNode:[ 4][0] nextNode:1 4hop iface:0

------------------------------------------------

Thanks,

Sweety

Sweety Chauhan

Graduate Student

Department of Computer Science and Electrical Engg.

University of Maryland Baltimore County

Baltimore, MD- 21250

USA

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet